hwy::HWY_NAMESPACE::detail::ShiftLeftBytesT< kBytes > Struct Template Reference

`#include <arm_neon-inl.h>`

## Public Member Functions

template<class T >
HWY_INLINE Vec128< T > | operator() (const Vec128< T > v)
template<class T , size_t N, HWY_IF_LE64(T, N) >
HWY_INLINE Vec128< T, N > | operator() (const Vec128< T, N > v)

## Member Function Documentation

## operator()() [1/2]

template<int kBytes>
template<class T >

HWY_INLINE Vec128< T > hwy::HWY_NAMESPACE::detail::ShiftLeftBytesT< kBytes >::operator() | ( | const Vec128< T > | v | ) |

inline

References hwy::HWY_NAMESPACE::CombineShiftRightBytes(), hwy::HWY_NAMESPACE::d, hwy::HWY_NAMESPACE::v, and hwy::HWY_NAMESPACE::Zero().

## operator()() [2/2]

template<int kBytes>
template<class T , size_t N, HWY_IF_LE64(T, N) >

HWY_INLINE Vec128< T, N > hwy::HWY_NAMESPACE::detail::ShiftLeftBytesT< kBytes >::operator() | ( | const Vec128< T, N > | v | ) |

inline

References hwy::HWY_NAMESPACE::v, and hwy::HWY_NAMESPACE::Zero().

The documentation for this struct was generated from the following file:

- arm_neon-inl.h